Closed Bug 1430597 Opened 2 years ago Closed 2 years ago

please override mar-tools to unblock releases

Categories

(Cloud Services :: Operations: Product Delivery, task)

task
Not set

Tracking

(Not tracked)

VERIFIED FIXED

People

(Reporter: bhearsum, Unassigned)

References

Details

A bad version of the mar tools was recently uploaded to https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central/mar-tools/linux64/

We're working on fixing the root cause, but we need to unblock releases in the meantime by overriding with a good version. Please copy mar and mbsdiff from https://ftp.mozilla.org/pub/firefox/nightly/2018/01/2018-01-10-10-02-24-mozilla-central/mar-tools/linux64/ into the directory above.
Blocks: 1430246
Known good version of the mar tools has been uploaded to https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central/mar-tools/linux64/ and CDN was cleared (twice) to get the known good mar tools uploaded:

MacBook-Pro:~ jon$ curl -I https://ftp.mozilla.org/pub/firefox/nightly/2018/01/2018-01-10-10-02-24-mozilla-central/mar-tools/linux64/mar
HTTP/1.1 200 OK
Content-Type: text/plain
Content-Length: 20672
Connection: keep-alive
Date: Mon, 15 Jan 2018 14:18:16 GMT
x-amz-replication-status: COMPLETED
Last-Modified: Wed, 10 Jan 2018 11:54:31 GMT
ETag: "cdad4c4ad739ba9fe7c349480dbe9cc7"
Cache-Control: public, max-age=14400
x-amz-version-id: bTZC5efPGJVdqfyl5WQU3QtIF9Wjn8Ck
Accept-Ranges: bytes
Server: AmazonS3
Age: 813
X-Cache: Hit from cloudfront
Via: 1.1 a8ba5073002823f8e87c434ec72ab7d7.cloudfront.net (CloudFront)
X-Amz-Cf-Id: EtfxUM4W2bWahSn69-A3wh5B8drKxIqqz8DugvcHzmJl9UcmLK6h_w==

MacBook-Pro:~ jon$ curl -I https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central/mar-tools/linux64/mar
HTTP/1.1 200 OK
Content-Type: binary/octet-stream
Content-Length: 20672
Connection: keep-alive
Date: Mon, 15 Jan 2018 14:42:15 GMT
x-amz-replication-status: COMPLETED
Last-Modified: Mon, 15 Jan 2018 14:35:42 GMT
ETag: "cdad4c4ad739ba9fe7c349480dbe9cc7"
Cache-Control: public, max-age=14400
x-amz-version-id: fOeYUcbkkGmlDa.xoXxkmFjmXEPnZBMD
Accept-Ranges: bytes
Server: AmazonS3
X-Cache: Miss from cloudfront
Via: 1.1 cc7c11d5640aeda2bbf41f7aa6cbaa59.cloudfront.net (CloudFront)
X-Amz-Cf-Id: Ym2TX4s6K5voqUMohuVWxPCTDNRO8-JgXDta8WdREBtLpDF6JKFsYQ==

MacBook-Pro:~ jon$ curl -I https://ftp.mozilla.org/pub/firefox/nightly/2018/01/2018-01-10-10-02-24-mozilla-central/mar-tools/linux64/mbsdiff
HTTP/1.1 200 OK
Content-Type: text/plain
Content-Length: 14904
Connection: keep-alive
Date: Mon, 15 Jan 2018 14:18:22 GMT
x-amz-replication-status: COMPLETED
Last-Modified: Wed, 10 Jan 2018 11:54:31 GMT
ETag: "756d84a417c4b0e6153c43b4835635f9"
Cache-Control: public, max-age=14400
x-amz-version-id: iFV8AFU6.3mH5u1_qppq04HaIeE.399r
Accept-Ranges: bytes
Server: AmazonS3
Age: 811
X-Cache: Hit from cloudfront
Via: 1.1 c3a60f4ff62d753feb3d34ce16e50fab.cloudfront.net (CloudFront)
X-Amz-Cf-Id: HaQ4H8StZFtpJWQiW1bvboKtG1QV_uYcFZ2OhwbGfYZ_J4iW8dCTOQ==

MacBook-Pro:~ jon$ curl -I https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central/mar-tools/linux64/mbsdiff
HTTP/1.1 200 OK
Content-Type: binary/octet-stream
Content-Length: 14904
Connection: keep-alive
Date: Mon, 15 Jan 2018 14:38:45 GMT
x-amz-replication-status: COMPLETED
Last-Modified: Mon, 15 Jan 2018 14:35:42 GMT
ETag: "756d84a417c4b0e6153c43b4835635f9"
Cache-Control: public, max-age=14400
x-amz-version-id: vZmHjIo0et7zTphs89gj9d0z_gTQB6Yv
Accept-Ranges: bytes
Server: AmazonS3
Age: 119
X-Cache: Hit from cloudfront
Via: 1.1 7427c67f2e9291e26db4d433559770ec.cloudfront.net (CloudFront)
X-Amz-Cf-Id: LAXuc_10RWtTAy9ClqhpbplbmxVOnbBwB8yGS8nQVrPztK750gCLAQ==
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.